{ pkgs ? import <nixpkgs> {}
}:

let
  inherit (pkgs) fetchgit;
  inherit (blockioPkgs) python3;

  blockioPkgs = import (fetchgit {
    url = "https://github.com/nyanloutre/nixpkgs.git";
    rev = "b2e5d6520e16e6188b13ee79712078b072e253f5";
    sha256 = "0gjy61vpm434fvfwb6kbgsmd9d8k7w4kk68vxikivys805h4sxd0";
  }){};
in

python3.pkgs.buildPythonApplication rec {
  name = "dogetipbot-telegram-${version}";
  version = "1.0";

  src = ./.;

  propagatedBuildInputs = with python3.pkgs; [
    python-telegram-bot
    requests
    block-io
  ];
}
